read.telemetry {secr} | R Documentation

## Import Telemetry Fixes

### Description

A shortcut function for constructing a telemetry capthist object from a file of telemetry fixes. Telemetry data are generally similar in format to polygon data (see also `addTelemetry`).

### Usage

    read.telemetry(file = NULL, data = NULL, covnames = NULL, verify = TRUE, ...)

### Arguments

`file` | character name of text file
`data` | data.frame containing coordinate data (alternative to `file`)
`covnames` | character vector of names for individual covariates
`verify` | logical for whether to check input
`...` | other arguments passed to countfields, read.table etc.

### Details

Input data may be in a text file (argument `file`) or a dataframe (argument `data`). Data should be in the XY format for function 'read.capthist' i.e. the first 5 columns should be Session, ID, Occasion, X, Y. Further columns are treated as individual covariates.

No ‘traps’ input is required. A traps object is generated automatically.

### Value

An secr capthist object including attribute ‘telemetryxy’ with the x-y coordinates, and a ‘traps’ object with detector type = ‘telemetry’

### See Also

`addTelemetry`, `read.capthist`

### Examples

    ## Not run:
    setwd('D:/bears/alberta')
    ## peek at raw data
    head(readLines('gps2008.txt'))
    gps2008CH <- read.telemetry("gps2008.txt")
    plot( gps2008CH, gridsp = 10000)
    head(gps2008CH)
    secr.fit(gps2008CH, start = log(4000), detectfn = 'HHN',
        details = list(telemetryscale = 1e12))

    ## End(Not run)

[Package secr version 3.2.1 Index]